OPENBOX(1)

NAME
openbox — A minimalistic, highly configurable, next generation window manager with extensive standards support.

SYNOPSIS

openbox [--help] [--version] [--replace] [--reconfigure] [--restart] [--sm-disable] [--sync] [--debug] [--debug-focus] [--debug-xinerama]

DESCRIPTION

Openbox is minimalistic, highly configurable, next generation window manager with extensive standards support.

You can start Openbox in three ways:

If you run a display manager such as GDM, you will find 3 entries in the login session type menu for Openbox: GNOME/Openbox, KDE/Openbox and Openbox. If you want to use Openbox within GNOME or KDE, you can choose the appropriate entry, and it will launch GNOME or KDE with Openbox as the window manager.

The third option at log in, which is Openbox without a session manager, uses the openbox-session command to start Openbox. On log in, openbox will run the ~/.config/openbox/autostart.sh script if it exists, and will run the system-wide script /etc/xdg/openbox/autostart.sh otherwise. You may place anything you want to run automatically in those files, for example:

    xsetroot -solid grey &
    gnome-settings-daemon &

Make sure that each line is followed by a "&" or else the script will stop there and further commands will not be executed. You can use the /etc/xdg/openbox/autostart.sh file as an example for creating your own.

The default /etc/xdg/openbox/autostart.sh runs a number of things with Openbox.

Lastly, if you use startx to launch your X session, you can set up a ~/.xinitrc file to run openbox-session and follow the same directions as above regarding the autostart.sh file.

You can use the obconf tool to configure Openbox easily with a graphical interface, however more in-depth configuration is possible by editing the configuration files by hand.

The default configuration and menu files are installed in /etc/xdg/openbox/, and the user configuration is placed in ~/.config/openbox/. You can copy the default configuration and menus to ~/.config/openbox and edit it to your liking.

OPTIONS

These are the possible options that openbox accepts:

--help
    Show a summary of the options available.

--version
    Show the version of the program.

--replace
    Replace the currently running window manager.

--reconfigure
    If Openbox is already running on the display, tell it to reload its configuration.

--restart
    If Openbox is already running on the display, tell it to restart. This is useful if you have upgraded Openbox and don't want to restart X.

--sm-disable
    Do not connect to the session manager.

--sync
    Run in synchronous mode (for debugging).

--debug
    Display debugging output.

--debug-focus
    Display debugging output for focus handling.

--debug-xinerama
    Split the display into two fake xinerama regions, if xinerama is not already enabled. This is for debugging xinerama support.

SEE ALSO

obconf (1), openbox-session(1), openbox-gnome-session(1), openbox-kde-session(1).

The program's full documentation is available on the website: http://openbox.org/

Please report bugs to: http://bugzilla.icculus.org/